Package org.apache.maven.scm.provider.synergy.consumer

## Class SynergyShowDefaultTaskConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.synergy.consumer.SynergyShowDefaultTaskConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class SynergyShowDefaultTaskConsumer
    extends AbstractConsumer

Since:
  1.5
Author:
  Jan Malcomess

### Constructor Summary

Constructors
`SynergyShowDefaultTaskConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)` Either `taskNumber: taskSynopsis` or `The current task is not set.`
`int` `getTask()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyShowDefaultTaskConsumer

    public SynergyShowDefaultTaskConsumer​(ScmLogger logger)

### Method Detail

#### getTask

    public int getTask()

Returns:
  the number of the current (ie default) task. 0 if current task is not set.

#### consumeLine

    public void consumeLine​(java.lang.String line)

Either
`taskNumber: taskSynopsis`
or
`The current task is not set.`